@font-main: 'Roboto-Regular', sans-serif;
@font-l: 'Roboto-Light', sans-serif;

// .xs(@rules) {
//   @media screen and (max-width: @xs) {
//     @rules();
//   }
// };
// .sm(@rules) {
//   @media screen and (max-width: @sm) {
//     @rules();
//   }
// };
// .md(@rules) {
//   @media screen and (max-width: @md) {
//     @rules();
//   }
// };
// .lg(@rules) {
//   @media screen and (max-width: @lg) {
//     @rules();
//   }
// };

// .md-lg(@rules) {
//   @media screen and(min-width:756px) and (max-width: @lg) {
//     @rules();
//   }
// }
// .sm-md(@rules) {
//   @media screen and(min-width:521px) and (max-width: @md) {
//     @rules();
//   }
// }

.last-margin() {
  &:last-child {
    margin-bottom: 0;
  }
}
.trs() {
  transition: all .3s;
}

/* GLOBAL */
html, body {
  height: 100%;
  text-rendering: optimizeLegibility;
-moz-osx-font-smoothing: grayscale;
-webkit-font-smoothing: antialiased;
}
body {
	background-color: #fff;
	min-width: 320px;
  -webkit-overflow-scrolling: touch;
}

img {
	vertical-align:middle;
	max-width: 100%;
	height: auto;
}
a {
	text-decoration: none;
	-webkit-transition: all .3s;
		transition: all .3s;
}
a[data-fancybox] {
    outline: none;
}

p {
  margin: 0 0 20px;
  .last-margin();
}

input[type="search"], input[type="submit"], input[type="text"], textarea {
   -webkit-appearance: none;
}

input, textarea {
  box-sizing: border-box;
  outline: none;
}
textarea {
  resize: vertical;
}

:focus::-webkit-input-placeholder {color:transparent;}
:focus::-moz-placeholder          {color:transparent;}
:focus:-ms-input-placeholder      {color:transparent;}

input[placeholder]          {text-overflow:ellipsis;}
input::-moz-placeholder     {text-overflow:ellipsis;} 
input:-moz-placeholder      {text-overflow:ellipsis;} 
input:-ms-input-placeholder {text-overflow:ellipsis;} 

::-webkit-input-placeholder {color:#2c2c2c;}
::-moz-placeholder          {color:#2c2c2c;}/* Firefox 19+ */
:-moz-placeholder           {color:#2c2c2c;}/* Firefox 18- */
:-ms-input-placeholder      {color:#2c2c2c;}

input::-ms-clear{display: none;}
button{cursor: pointer; outline: none;}

h1,h2,h3,h4,h5,h6{font-weight: normal;}

/* COMMON */
.clearfix {
  &:before, &:after {
    content:"";
    display:table
  }
  &:after {
    clear:both
  }
}
.table {
  display: table;
  width: 100%;
  &__row {
  	display: table-row;
  }
  &__cell {
  	display: table-cell;
  	vertical-align: middle;
  }
}

.text-up {
  text-transform: uppercase;
}
.text-right {
  text-align: right;
}
.text-center {
  text-align: center;
}
.text-left {
  text-align: left;
}

.text-underline {
  text-decoration: underline;
}

.text-cut {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.nowrap {
  white-space: nowrap;
}


.wrapper {  
	//min-height: ~"calc(100vh - 522px)"; 
	display: flex;
  flex-direction: column;
  height: 100%;
}

.content-page {
  flex: 1 0 auto;
  min-height: 1px;//for ie11
}

/* FOOTER */
.footer {
  flex: 0 0 auto;
}

/* MODAL */
.modal {
  // display: none;
  // opacity: 0;
  // transform: translateY(-50px);
  // transition: all .3s;
}
.fancybox-slide--complete .modal {
  opacity: 1;
  transform: translateY(0);
}

/* WARNINGS */
#noScriptWarning, #outdatedBrowserWarning { color: white; padding: 12px; text-align: center; }
#noScriptWarning a, #outdatedBrowserWarning a { 
  color: white; text-decoration: underline;
  &:hover {
    text-decoration: none;
  }
}

#noScriptWarning { background: red; }
#noScriptWarning, #outdatedBrowserWarning { background: orangered; }